if not exists (select * from dbo.sysobjects where id = object_id(N'PensionesPorcentajes') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
CREATE TABLE PensionesPorcentajes(
	[idporcentaje] [bigint] IDENTITY(1,1) NOT NULL,
	[nombre] [varchar](250) NULL,
	[porcentaje] [decimal](18, 2) NULL,
 CONSTRAINT [PK_porcentajes] PRIMARY KEY CLUSTERED 
(
	[idporcentaje] ASC
)
) ON [PRIMARY]
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'PensionesTablaLey') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
CREATE TABLE PensionesTablaLey(
	[idRegistro] [bigint] IDENTITY(1,1) NOT NULL,
	[vsm] [decimal](18, 2) NULL,
	[porcentaje] [decimal](18, 2) NULL,
	[incremento] [decimal](18, 3) NULL,
 CONSTRAINT [PK_TablaLey] PRIMARY KEY CLUSTERED 
(
	[idRegistro] ASC
)
) ON [PRIMARY]
GO

if not exists (select * from dbo.sysobjects where id = object_id(N'PensionesPromedios') and OBJECTPROPERTY(id, N'IsUserTable') = 1)  
CREATE TABLE PensionesPromedios(
	[idPersona] [bigint] NOT NULL,
	[idregistro] [bigint] IDENTITY(1,1) NOT NULL,
	[de] [datetime] NULL,
	[a] [datetime] NULL,
	[sueldo] [decimal](18, 2) NULL,
	[dias] [int] NULL,
	[semanas] [int] NULL,
	[total] [decimal](18, 2) NULL,
	[esTope] [char](1) NULL,
	 CONSTRAINT [PK_promedios] PRIMARY KEY CLUSTERED 
(
	[idregistro] ASC,
	[idPersona] ASC
)
) ON [PRIMARY]
GO

DELETE FROM PensionesTablaLey

DBCC CHECKIDENT (PensionesTablaLey, RESEED, 0)
go

INSERT INTO PensionesTablaLey VALUES(1,80,0.563)
GO
INSERT INTO PensionesTablaLey VALUES(1.01,77.11,0.814)
GO
INSERT INTO PensionesTablaLey VALUES(1.26,58.18,1.178)
GO
INSERT INTO PensionesTablaLey VALUES(1.51,49.23,1.43)
GO
INSERT INTO PensionesTablaLey VALUES(1.76,42.67,1.615)
GO
INSERT INTO PensionesTablaLey VALUES(2.01,37.65,1.756)
GO
INSERT INTO PensionesTablaLey VALUES(2.26,33.68,1.868)
GO
INSERT INTO PensionesTablaLey VALUES(2.51,30.48,1.958)
GO
INSERT INTO PensionesTablaLey VALUES(2.76,27.83,2.033)
GO
INSERT INTO PensionesTablaLey VALUES(3.01,25.6,2.096)
GO
INSERT INTO PensionesTablaLey VALUES(3.26,23.7,2.149)
GO
INSERT INTO PensionesTablaLey VALUES(3.51,22.07,2.195)
GO
INSERT INTO PensionesTablaLey VALUES(3.76,20.65,2.235)
GO
INSERT INTO PensionesTablaLey VALUES(4.01,19.39,2.271)
GO
INSERT INTO PensionesTablaLey VALUES(4.26,18.29,2.302)
GO
INSERT INTO PensionesTablaLey VALUES(4.51,17.3,2.33)
GO
INSERT INTO PensionesTablaLey VALUES(4.76,16.41,2.355)
GO
INSERT INTO PensionesTablaLey VALUES(5.01,15.61,2.377)
GO
INSERT INTO PensionesTablaLey VALUES(5.26,14.88,2.398)
GO
INSERT INTO PensionesTablaLey VALUES(5.51,14.22,2.416)
GO
INSERT INTO PensionesTablaLey VALUES(5.76,13.62,2.433)
GO
INSERT INTO PensionesTablaLey VALUES(6.01,13,2.45)
GO


DELETE FROM PensionesPorcentajes

DBCC CHECKIDENT (PensionesPorcentajes, RESEED, 0)
go

INSERT INTO PensionesPorcentajes VALUES ('Viudez',90)
GO

INSERT INTO PensionesPorcentajes VALUES ('Orfandad por muerte',20)
GO

INSERT INTO PensionesPorcentajes VALUES ('A los padres por muerte',20)
GO

INSERT INTO PensionesPorcentajes VALUES ('Invalidez y Vejez',100)
GO

INSERT INTO PensionesPorcentajes VALUES ('Cesanta 60 aos',75)
GO

INSERT INTO PensionesPorcentajes VALUES ('Cesantia 61 aos',80)
GO

INSERT INTO PensionesPorcentajes VALUES ('Cesantia 62 aos',85)
GO

INSERT INTO PensionesPorcentajes VALUES ('Cesantia 63 aos',90)
GO

INSERT INTO PensionesPorcentajes VALUES ('Cesantia 64 aos',95)
GO

INSERT INTO PensionesPorcentajes VALUES ('Cesantia 65 aos',100)
GO